// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    ext.kotlin_version = '1.3.10'

    repositories {
        google()
        jcenter()
        mavenCentral()
        maven { url 'https://dl.bintray.com/umsdk/release' }
        maven {
            url 'https://maven.google.com/'
            name 'Google'
        }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.4.1'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath 'com.google.gms:google-services:4.2.0'
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        maven { url 'https://dl.bintray.com/umsdk/release' }
        maven { url 'http://developer.huawei.com/repo/' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
ext {
    compileSdkVersion = 28
    buildToolsVersion = '29.0.1'
    minSdkVersion = 16
    targetSdkVersion = 27
    appTargetSdkVersion = 27
    versionCode = 11
    versionName = '2.0'
    kotlin_version = '1.3.10'
    anko_version = '0.10.5'
    sdkSourceCompatibility = 1.7
    sdkTargetCompatibility = 1.7
    appSourceCompatibility = 1.7
    appTargetCompatibility = 1.7
}
